#include <bits/stdc++.h>

#define pb push_back

using namespace std;

int main() {
    vector<int> sol;
    int n, k, x;
    cin >> n >> k >> x;
    if (n & 1 && k & 1)
        cout << -1 << endl;

    return 0;
}